﻿using System.Windows.Input;
using Telerik.Windows.Controls;

namespace RadDockingWPF__683030
{
    public class ViewModel : ViewModelBase
    {
        private bool isHidden;

        public ViewModel()
        {
            this.ChangeIsHiddenCommand = new DelegateCommand(OnChangeIsHiddenCommandExecuted);
        }

        public ICommand ChangeIsHiddenCommand { get; set; }

        public bool IsHidden
        {
            get
            {
                return this.isHidden;
            }
            set
            {
                if (this.isHidden != value)
                {
                    this.isHidden = value;
                    this.OnPropertyChanged(() => this.IsHidden);
                }
            }
        }

        private void OnChangeIsHiddenCommandExecuted(object obj)
        {
            this.IsHidden = !this.IsHidden;
        }
    }
}
